<div class="card shadow mb-3"
     [ngClass]="{'border-left-success':!usersOccupied,'border-left-warning':usersOccupied&&usersFree,'border-left-danger':!usersFree}">
  <div class="card-body" style="padding: 0.75rem">
    <div class="row no-gutters align-items-center">
      <div class="col mr-2">
        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">{{ room.building}}
          - {{ room.floorName }}</div>
        <div class="h5 mb-1 font-weight-bold text-gray-800">
          {{ room.number }}
          <button *ngIf="!room.isFavorite" class="btn btn-link btn-sm" style="padding: 0 4px 4px 4px;" (click)="markAsFavorite(room)">
            <fa-icon [icon]="faStarRegular" class="text-gray-700"
                     title="Mark as favorite"></fa-icon>
          </button>
          <button *ngIf="room.isFavorite" class="btn btn-link btn-sm" style="padding: 0 4px 4px 4px;" (click)="removeFromFavorites(room)">
            <fa-icon [icon]="faStarSolid" class="text-warning"
                     title="Unmark as favorite"></fa-icon>
          </button>
        </div>
        <div class="mb-0 font-weight-bold text-gray-600">
          <fa-icon class="text-warning pr-2" [icon]="faUser"
                   *ngFor="let item of [].constructor(usersOccupied)"></fa-icon>
          <fa-icon class="text-gray-300 pr-2" [icon]="faUser" *ngFor="let item of [].constructor(usersFree)"></fa-icon>
          <fa-icon class="text-danger pr-2" [icon]="faUser"
                   *ngFor="let item of [].constructor(usersOverLimit)"></fa-icon>
        </div>
      </div>
      <div class="col-auto mr-3">
        <button class="btn mr-2" [disabled]="alreadyCheckedIn" (click)="checkin(room)"
                [ngClass]="{'btn-outline-secondary':alreadyCheckedIn,'btn-primary':!alreadyCheckedIn}">
          <fa-icon [icon]="faSignInAlt"></fa-icon>
        </button>
        <button class="btn" [disabled]="!alreadyCheckedIn" (click)="checkout(room)"
                [ngClass]="{'btn-outline-secondary':!alreadyCheckedIn,'btn-primary':alreadyCheckedIn}">
          <fa-icon [icon]="faSignOutAlt"></fa-icon>
        </button>
      </div>
    </div>
  </div>
</div>
